﻿@attribute [Authorize(Roles = "Administrator, superuser")]
@page "/admin/viewnurse"
@layout Shared.Admin.MainLayout

@using Model.Dto.Hospital
<center>
    <h3>List Of Nurse</h3>
    <br /><br />

    @if (nurseList.Count > 0)
    {
        <div class="container-fluid">
            @foreach (var nurse in nurseList)
            {

                <div class="card row border-info">
                    <div class="col-12 form-row card-body">
                        <div class="col-6 form-inline">
                            <label class="col-sm-4 col-form-label">Name: </label>
                            <input class="form-control col-8" type="text" @bind="nurse.Name" name="name" disabled />
                        </div>

                        <div class="col-6 form-inline">
                            <label class="col-sm-4 col-form-label">Mobile No: </label>
                            <input class="form-control col-8" type="tel" @bind="nurse.MobileNumber" name="mobileNo" disabled />
                        </div>
                    </div>

                    <div class="col-12 form-row card-body" style="padding-top: inherit;">
                        <div class="col-6 form-inline">
                            <label class="col-sm-4 col-form-label">NIC: </label>
                            <input class="form-control col-8" type="text" @bind="nurse.Nic" name="nic" disabled />
                        </div>

                        <div class="col-6 form-inline">
                            <label class="col-sm-4 col-form-label">Email: </label>
                            <input class="form-control col-8" type="email" @bind="nurse.Email" name="email" disabled />
                        </div>
                    </div>

                    <div class="col-12 form-row card-body" style="padding-top: inherit;">
                        <div class="col-6 form-inline">
                            <label class="col-sm-4 col-form-label">Current Hospital: </label>
                            <select disabled class="form-control col-8" value="@nurse.CurrentHospitalId">
                                <option value="All" selected>All</option>
                                @foreach (var hospital in hospitalList)
                                {
                                    <option value="@hospital.Id">@hospital.Name</option>
                                }
                            </select>
                        </div>

                        <div class="col-6 form-inline">
                            <label class="col-sm-4 col-form-label">Expected Hospital: </label>
                            <select class="form-control col-8">
                                @*<option value="All" selected>-- Select --</option>*@

                                @foreach (var hospital in GetExpectHospitalByNurseIdAsync(nurse.Id))
                                {
                                    <option value="@hospital.Id">@hospital.Name</option>
                                }
                            </select>
                        </div>
                    </div>

                    <div class="col-12 form-row card-body" style="padding-top: inherit;">
                        <div class="col-9 form-inline"></div>
                        <div class="col-3 form-inline">
                            <div class="custom-control custom-radio">
                                <input type="radio" class="custom-control-input" id="rdActive@(nurse.Id)" name="radioGroup@(nurse.Id)" checked=@nurse.IsActive @onchange="@(e => ChangeNurseActiveStatus(nurse.Id,"Active"))">
                                <label class="custom-control-label" for="rdActive@(nurse.Id)">Active</label>

                            </div>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            <div class="custom-control custom-radio">
                                <input type="radio" class="custom-control-input" id="rdSuspend@(nurse.Id)" name="radioGroup@(nurse.Id)" checked=@nurse.IsSuspended @onchange="@(e => ChangeNurseActiveStatus(nurse.Id,"Suspend"))">
                                <label class="custom-control-label" for="rdSuspend@(nurse.Id)">Suspend</label>
                            </div>
                        </div>
                    </div>
                </div>
                <br />
            }
        </div>
    }
    else
    {
        <div class="alert-info">
            <label class="text-center">No Record Found</label>
        </div>
    }
</center>








@code {

}


@code {

}



